Split a merged entity back off its winner, moving back the links the merge recorded
POST
/api/v1/projects/{projectId}/review/entity-split
const url = 'https://api.yggy.tech/api/v1/projects/example/review/entity-split';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"winnerId":"example","sourceId":"example","doNotMerge":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/projects/example/review/entity-split \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "winnerId": "example", "sourceId": "example", "doNotMerge": true }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Header Parameters
Section titled “Header Parameters ” host
string | null
x-yggy-organization-id
string | null
Request Body
Section titled “Request Body ” Media type application/json
object
winnerId
required
string
sourceId
required
string
doNotMerge
boolean
Example generated
{ "winnerId": "example", "sourceId": "example", "doNotMerge": true}Responses
Section titled “ Responses ”Entity split
Media type application/json
object
movedBack
required
number
stayed
required
number
Example generated
{ "movedBack": 1, "stayed": 1}No active merge record for this winner and source
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}The graph changed since the merge record was read; refresh and retry
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}